Package org.apache.tapestry5.ioc.internal.services

# Class RegistryShutdownHubImpl

java.lang.Object
org.apache.tapestry5.ioc.internal.services.RegistryShutdownHubImpl

All Implemented Interfaces:
  `RegistryShutdownHub`

public class RegistryShutdownHubImpl extends Object implements RegistryShutdownHub

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistryShutdownHubImpl(org.slf4j.Logger logger)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRegistryShutdownListener(Runnable listener)`
  Adds a listener for eventual notification when the registry shuts down.
  `void`
  `addRegistryShutdownListener(RegistryShutdownListener listener)`
  Adds a listener for eventual notification.
  `void`
  `addRegistryWillShutdownListener(Runnable listener)`
  Adds a listener for eventual notification.
  `void`
  `fireRegistryDidShutdown()`
  Fires the `RegistryShutdownListener.registryDidShutdown()` method on each listener.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegistryShutdownHubImpl

    public RegistryShutdownHubImpl(org.slf4j.Logger logger)

- ## Method Details

  - ### addRegistryShutdownListener

    public void addRegistryShutdownListener(RegistryShutdownListener listener)
    Description copied from interface: `RegistryShutdownHub`
    Adds a listener for eventual notification.
    Specified by:
      `addRegistryShutdownListener` in interface `RegistryShutdownHub`

  - ### addRegistryShutdownListener

    public void addRegistryShutdownListener(Runnable listener)
    Description copied from interface: `RegistryShutdownHub`
    Adds a listener for eventual notification when the registry shuts down. Runtime exceptions thrown by the listener will be logged and ignored.
    Specified by:
      `addRegistryShutdownListener` in interface `RegistryShutdownHub`

  - ### addRegistryWillShutdownListener

    public void addRegistryWillShutdownListener(Runnable listener)
    Description copied from interface: `RegistryShutdownHub`
    Adds a listener for eventual notification. RegistryWillShutdownListeners are notified before any standard listeners, and before service proxies and other parts of the Registry are disabled. Runtime exceptions thrown by the listener will be logged and ignored.
    Specified by:
      `addRegistryWillShutdownListener` in interface `RegistryShutdownHub`

  - ### fireRegistryDidShutdown

    public void fireRegistryDidShutdown()
    Fires the `RegistryShutdownListener.registryDidShutdown()` method on each listener. At the end, all the listeners are discarded.